get
https://{domainname}/cloudAgentRestAPI/index.php/GetCustomerHoldDetailsCDR/getCustomerHoldCDR
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
Get Customer Hold Details API is used to retrieve hold time duration for historical call records. Data can be retrieved for any one of the previous days at a time, on the basis of certain parameters. Response data includes all details regarding a Hold time duration within a call.
To access this API we MUST pass the following parameters.
| Parameter | Description |
|---|---|
| apiKey* | CloudAgent authentication key |
| userName* | CloudAgent username |
| fromDate* | Respective date required in YYYY-MM-DD format |
Note
- Parameters with ‘*’ are considered to be mandatory parameters.
- This API allowes 1 request for 5 minutes.
Possible responses
| Success response | "status": 1 "message": "Success", "data": {xxxxx} |
| Invalid apiKey | "status": 0 "message": "No user found", "data": "" |
| Invalid userName | "status": 0 "message": "No user found", "data": "" |
| Invalid Date format | "status": 0 "message": "Please pass the data in following format yyyy-mm-dd", "data": "" |
| Missing mandatory parameters | "status": 0 "message": "All parameters are mandatory", "data": "" |
| Get requests when another process is running | "status": 0 "message": "Already request is in progress, please try again", "data": "" |
| No records found | "status": 1 "message": "No data found", "data": [] |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
